local t = Def.ActorFrame{
	LoadActor("csel_bg00")..{
		InitCommand=cmd(vertalign,top;xy,SCREEN_CENTER_X,0;Cover;);
		OnCommand=cmd(y,0;linear,5;y,-SCREEN_HEIGHT/2);
	};
	
	LoadActor("csel_chain00")..{
		InitCommand=cmd(rotationz,20;zoom,1.5;vertalign,bottom;xy,SCREEN_CENTER_X,SCREEN_BOTTOM;texcoordvelocity,0,.1;);
	
	};
	
	LoadFont("Serif")..{
		Text="Open your magic circuit and choose your partner.";
		InitCommand=cmd(zoom,.75;diffusealpha,0;diffuse,color("#bb8b8d");y,SCREEN_BOTTOM-150;horizalign,left);
		OnCommand=cmd(queuecommand,"Anim");
		AnimCommand=cmd(x,0;linear,.5;x,50;diffusealpha,1;linear,.5;x,100;linear,.5;x,150;diffusealpha,0;sleep,5;queuecommand,"Anim");
	};
	
	LoadFont("Serif")..{
		Text="So it's a hymn for the Crimson Moon.";
		InitCommand=cmd(zoom,.75;diffusealpha,0;diffuse,color("#bb8b8d");y,SCREEN_BOTTOM-180;horizalign,right);
		OnCommand=cmd(sleep,.3;queuecommand,"Anim");
		AnimCommand=cmd(x,SCREEN_RIGHT;linear,.5;x,SCREEN_RIGHT-60;diffusealpha,1;linear,.5;x,SCREEN_RIGHT-120;linear,.5;x,SCREEN_RIGHT-180;diffusealpha,0;sleep,5;queuecommand,"Anim");
	};
	
	LoadFont("Serif")..{
		Text="She'll smile, and sing a song.";
		InitCommand=cmd(zoom,.75;diffusealpha,0;diffuse,color("#bb8b8d");y,SCREEN_BOTTOM-100;horizalign,right);
		OnCommand=cmd(sleep,3;queuecommand,"Anim");
		AnimCommand=cmd(x,SCREEN_CENTER_X;linear,.5;x,SCREEN_CENTER_X+75;diffusealpha,1;linear,.5;x,SCREEN_CENTER_X+150;linear,.5;x,SCREEN_CENTER_X+225;diffusealpha,0;sleep,5;queuecommand,"Anim");
	};
	
	--Purple circle thing
	LoadActor("csel_ef00")..{
		InitCommand=cmd(xy,SCREEN_CENTER_X,SCREEN_BOTTOM-50;rotationx,80);
		OnCommand=cmd(queuecommand,"Anim");
		AnimCommand=cmd(diffusealpha,1;decelerate,2;zoom,3.5;linear,.5;zoom,4;diffusealpha,0;sleep,0;zoom,0;queuecommand,"Anim");
	
	};
	LoadActor("csel_ef00")..{
		InitCommand=cmd(xy,SCREEN_CENTER_X,SCREEN_BOTTOM-50;rotationx,80;zoom,0);
		OnCommand=cmd(sleep,1;queuecommand,"Anim");
		AnimCommand=cmd(diffusealpha,1;decelerate,2;zoom,3.5;linear,.5;zoom,4;diffusealpha,0;sleep,0;zoom,0;queuecommand,"Anim");
	
	};

}

return t;